Page MenuHomePhabricator

Interleaved results A/B test: turn on
Closed, ResolvedPublic

Description

Let's use this to turn on the A/B test for the interleaved results 2-way test.

Event Timeline

debt created this task.Jul 20 2017, 7:51 PM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptJul 20 2017, 7:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt moved this task from needs triage to Up Next on the Discovery-Search board.Jul 27 2017, 5:14 PM

Change 368471 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/WikimediaEvents@master] Turn on search LTR test

https://gerrit.wikimedia.org/r/368471

Change 369594 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[operations/mediawiki-config@master] CirrusSearch configuration for LTR AB test

https://gerrit.wikimedia.org/r/369594

Change 368471 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Turn on search LTR test

https://gerrit.wikimedia.org/r/368471

Change 370112 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.12] Turn on search LTR test

https://gerrit.wikimedia.org/r/370112

Change 369594 merged by jenkins-bot:
[operations/mediawiki-config@master] CirrusSearch configuration for LTR AB test

https://gerrit.wikimedia.org/r/369594

Change 370112 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.12] Turn on search LTR test

https://gerrit.wikimedia.org/r/370112

Mentioned in SAL (#wikimedia-operations) [2017-08-03T23:43:51Z] <ebernhardson@tin> Synchronized php-1.30.0-wmf.12/extensions/WikimediaEvents/modules/ext.wikimediaEvents.searchSatisfaction.js: T171212: Turn on CirrusSearch MLR AB test (duration: 00m 46s)

Change 370124 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Disable CirrusSearch AB test

https://gerrit.wikimedia.org/r/370124

Change 370126 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.12] Disable CirrusSearch AB test

https://gerrit.wikimedia.org/r/370126

Change 370127 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[operations/mediawiki-config@master] Update CirrusSearch AB test rescore profiles

https://gerrit.wikimedia.org/r/370127

Change 370126 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.12] Disable CirrusSearch AB test

https://gerrit.wikimedia.org/r/370126

Change 370128 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/WikimediaEvents@master] Turn on CirrusSearch MLR AB test

https://gerrit.wikimedia.org/r/370128

EBernhardson added a subscriber: EBernhardson.

Added a pull request to the plugin to potentially resolve this problem as well: https://github.com/o19s/elasticsearch-learning-to-rank/pull/66

Change 370127 merged by jenkins-bot:
[operations/mediawiki-config@master] Update CirrusSearch AB test rescore profiles

https://gerrit.wikimedia.org/r/370127

Change 370128 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Turn on CirrusSearch MLR AB test

https://gerrit.wikimedia.org/r/370128

Mentioned in SAL (#wikimedia-operations) [2017-08-07T18:53:56Z] <ebernhardson@tin> Synchronized wmf-config/CirrusSearch-production.php: T171212 - Update CirrusSearch AB test rescore profiles (duration: 00m 46s)

Change 370516 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.12] Turn on CirrusSearch MLR AB test

https://gerrit.wikimedia.org/r/370516

Change 370516 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.12] Turn on CirrusSearch MLR AB test

https://gerrit.wikimedia.org/r/370516

Mentioned in SAL (#wikimedia-operations) [2017-08-07T19:05:58Z] <ebernhardson@tin> Synchronized php-1.30.0-wmf.12/extensions/WikimediaEvents/modules/ext.wikimediaEvents.searchSatisfaction.js: T171212 - Turn on CirrusSearch MLR AB test (duration: 00m 46s)

debt closed this task as Resolved.Aug 14 2017, 6:46 PM
debt claimed this task.

This test was turned on Aug 7th, 2017